package com.clx.performance.extranal.order.impl;

import com.clx.order.feign.InvoicingCompanyFeign;
import com.clx.order.vo.pc.carrier.InvoicingCompanyVO;
import com.clx.performance.extranal.order.InvoicingCompanyService;
import com.msl.common.base.Optional;
import com.msl.common.result.Result;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
@AllArgsConstructor
public class InvoicingCompanyImpl  implements InvoicingCompanyService {
    private final InvoicingCompanyFeign invoicingCompanyFeign;


    @Override
    public Optional<InvoicingCompanyVO> getInvoicingCompany(int  id) {
        return Optional.ofNullable(invoicingCompanyFeign.getInvoicingCompany(id))
                .filter(Result::succeed)
                .map(Result::getData);
    }
}
